Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class Viewport

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.Viewport

All Implemented Interfaces:
  java.io.Serializable

public class Viewport
extends InlineArea

Inline viewport area. This is an inline-level viewport area for inline container, external graphic and instream foreign object. This viewport holds the area and positions it.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo, offset`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`Viewport(Area child)` Create a new viewport area with the content area.

Method Summary
`boolean` | `getClip()` Get the clip of this viewport.
`Area` | `getContent()` Get the content area for this viewport.
`java.awt.geom.Rectangle2D` | `getContentPosition()` Get the position and size of the content of this viewport.
`void` | `setClip(boolean c)` Set the clip of this viewport.
`void` | `setContent(Area content)` Sets the content area.
`void` | `setContentPosition(java.awt.geom.Rectangle2D cp)` Set the position and size of the content of this viewport.

Methods inherited from class org.apache.fop.area.inline.InlineArea
`addChildArea, applyVariationFactor, getAdjustingInfo, getOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustment, setOffset, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Viewport

    public Viewport(Area child)

  Create a new viewport area with the content area.

Parameters:
  `child` - the child content area of this viewport

Method Detail

### setClip

    public void setClip(boolean c)

  Set the clip of this viewport.

  Parameters:
    `c` - true if this viewport should clip

### getClip

    public boolean getClip()

  Get the clip of this viewport.

  Returns:
    true if this viewport should clip

### setContentPosition

    public void setContentPosition(java.awt.geom.Rectangle2D cp)

  Set the position and size of the content of this viewport.

  Parameters:
    `cp` - the position and size to place the content

### getContentPosition

    public java.awt.geom.Rectangle2D getContentPosition()

  Get the position and size of the content of this viewport.

  Returns:
    the position and size to place the content

### setContent

    public void setContent(Area content)

  Sets the content area.

  Parameters:
    `content` - the content area

### getContent

    public Area getContent()

  Get the content area for this viewport.

  Returns:
    the content area

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.